<?php

add_filter('wp_get_attachment_image_attributes', function ($attr, $attachment, $size) {
  list($src, $width, $height) = wp_get_attachment_image_src($attachment->ID, $size);
  $image_ratio = $width / $height;
  $ratios = apply_filters('image-ratios', ['square' => 1]);
  $classes = array_filter([$attr['class'] ?? '']);
  foreach ($ratios as $name => $ratio) {
    $classes[] = 'img-ratio-' . ['lt-', '', 'gt-'][($image_ratio <=> $ratio) + 1] . esc_attr($name);
  }
  $attr['class'] = implode(' ', $classes);
  return $attr;
}, 10, 3);
